function FileData_Pairs(x)
{
x.t("modes","persistent");
x.t("modes","jms");
x.t("parameter","sync");
x.t("defines","reliable_delivery");
x.t("defines","two");
x.t("re-connect","server");
x.t("taking","corrective");
x.t("saved","additionally");
x.t("files","ems");
x.t("files","tibco");
x.t("delivery","modes");
x.t("sending","persistent");
x.t("failover","however");
x.t("persistent","non_persistent");
x.t("persistent","messages");
x.t("persistent","producer");
x.t("persistent","message");
x.t("persistent","storage");
x.t("always","written");
x.t("fault-tolerant","connection");
x.t("fault-tolerant","server");
x.t("action","mode");
x.t("non_persistent","reliable_delivery");
x.t("non_persistent","ems");
x.t("topic","queue");
x.t("topic","written");
x.t("topic","cause");
x.t("topic","connected");
x.t("topic","least");
x.t("topic","behavior");
x.t("detecting","failure");
x.t("until","server");
x.t("mode","parameter");
x.t("mode","non_persistent");
x.t("mode","sync");
x.t("entitled","receive");
x.t("time","created");
x.t("subscriber","fault-tolerant");
x.t("subscriber","subscriber");
x.t("subscriber","re-connects");
x.t("connection","ems");
x.t("connection","subscribers");
x.t("however","non-durable");
x.t("queue","always");
x.t("queue","persistent");
x.t("queue","synchronously");
x.t("reconnect","server");
x.t("default","written");
x.t("jms","defines");
x.t("jms","specification");
x.t("servers","using");
x.t("access","store");
x.t("access","shared");
x.t("details","ems");
x.t("reliable_delivery","mode");
x.t("reliable_delivery","messages");
x.t("need","messages");
x.t("need","receive");
x.t("file","prevent");
x.t("file","storage");
x.t("file","duration");
x.t("file","specify");
x.t("file","server");
x.t("ems","defines");
x.t("ems","manages");
x.t("ems","server");
x.t("improves","performance");
x.t("complete","returning");
x.t("queues","persistent");
x.t("synchronously","written");
x.t("wait","write-to-disk");
x.t("operation","complete");
x.t("operation","ems");
x.t("operation","producer");
x.t("performance","eliminating");
x.t("returning","control");
x.t("synchronous","file");
x.t("needlessly","save");
x.t("secondary","server");
x.t("prior","time");
x.t("absence","durable");
x.t("sends","persistent");
x.t("completed","write-to-disk");
x.t("consistent","jms");
x.t("completing","write-to-disk");
x.t("writes","persistent");
x.t("stores.conf","file");
x.t("store","files");
x.t("store","file");
x.t("corrective","action");
x.t("disk","topic");
x.t("disk","mode");
x.t("disk","means");
x.t("disk","i/o");
x.t("disk","server");
x.t("non-durable","subscribers");
x.t("messages","saved");
x.t("messages","topic");
x.t("messages","ems");
x.t("messages","improves");
x.t("messages","synchronous");
x.t("messages","secondary");
x.t("messages","store");
x.t("messages","written");
x.t("messages","chapter");
x.t("messages","resent");
x.t("messages","figure");
x.t("messages","subscribers");
x.t("messages","received");
x.t("messages","published");
x.t("messages","described");
x.t("messages","created");
x.t("messages","sent");
x.t("fail","sending");
x.t("fail","completing");
x.t("means","producer");
x.t("written","persistent");
x.t("written","disk");
x.t("written","asynchronously");
x.t("cause","published");
x.t("control","producer");
x.t("sync","persistent");
x.t("sync","given");
x.t("chapter","messages");
x.t("receive","messages");
x.t("eliminating","unnecessary");
x.t("persist","messages");
x.t("persist","message");
x.t("connected","fault-tolerant");
x.t("producer","detecting");
x.t("producer","sends");
x.t("producer","server");
x.t("producer","remains");
x.t("message","taking");
x.t("message","delivery");
x.t("message","server");
x.t("least","durable");
x.t("asynchronously","disk");
x.t("given","file");
x.t("tibco","software");
x.t("event","server");
x.t("failure","persist");
x.t("failure","considered");
x.t("failure","case");
x.t("resent","persistent");
x.t("resent","event");
x.t("restarted","persistent");
x.t("figure","persistent");
x.t("subscribers","re-connect");
x.t("subscribers","topic");
x.t("subscribers","entitled");
x.t("subscribers","reconnect");
x.t("subscribers","need");
x.t("subscribers","server");
x.t("write-to-disk","operation");
x.t("process","details");
x.t("manages","persistent");
x.t("manages","access");
x.t("manages","shared");
x.t("considered","newly");
x.t("received","ems");
x.t("save","persistent");
x.t("newly","created");
x.t("shared","store");
x.t("published","topic");
x.t("published","subscriber");
x.t("published","messages");
x.t("published","topics");
x.t("case","server");
x.t("blocked","until");
x.t("prevent","two");
x.t("described","message");
x.t("specification","durable");
x.t("two","servers");
x.t("two","message");
x.t("topics","persistent");
x.t("created","prior");
x.t("created","messages");
x.t("created","subscribers");
x.t("storage","persistent");
x.t("storage","stores.conf");
x.t("storage","received");
x.t("storage","using");
x.t("additionally","subscribers");
x.t("using","file");
x.t("using","store");
x.t("duration","server");
x.t("i/o","persist");
x.t("restricts","access");
x.t("unnecessary","disk");
x.t("behavior","consistent");
x.t("re-connects","resent");
x.t("sent","queue");
x.t("sent","queues");
x.t("sent","subscribers");
x.t("server","failover");
x.t("server","persistent");
x.t("server","default");
x.t("server","need");
x.t("server","wait");
x.t("server","needlessly");
x.t("server","absence");
x.t("server","completed");
x.t("server","writes");
x.t("server","fail");
x.t("server","failure");
x.t("server","restarted");
x.t("server","figure");
x.t("server","process");
x.t("server","restricts");
x.t("durable","subscriber");
x.t("durable","subscribers");
x.t("specify","persistent");
x.t("remains","blocked");
}
